Bug 14735 - [PATCH] poi-scratchpad WordDocument constructor needed
Summary: [PATCH] poi-scratchpad WordDocument constructor needed
Status: VERIFIED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HDF (show other bugs)
Version: unspecified
Hardware: PC All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-21 13:27 UTC by Miroslav Obradovic
Modified: 2005-03-20 17:06 UTC (History)
1 user (show)



Attachments
Added InputStream Constructor. Changed the way the characters are converted in writeAllText if not unicode (now handles german-umlauts correclty) (1.57 KB, patch)
2002-12-10 07:56 UTC, Mario Ivankovits
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Obradovic 2002-11-21 13:27:33 UTC
I digged around the poi-scratchpad and found WordDocument class. It only has a 
single constructor taking file name, but the usual case is that you only have 
an InputStream instance. I looked at the code, and this change is easy to 
make...  8-)
Regards,
M
Comment 1 Andy Oliver 2002-11-21 16:23:23 UTC
So make it: http://jakarta.apache.org/poi/getinvolved/index.html
Comment 2 Mario Ivankovits 2002-12-10 07:56:50 UTC
Created attachment 4099 [details]
Added InputStream Constructor. Changed the way the characters are converted in writeAllText if not unicode (now handles german-umlauts correclty)
Comment 3 Andy Oliver 2003-02-22 15:08:12 UTC
Applied.  Please crosscheck.  Sorry it took so long.
Comment 4 Andy Oliver 2003-02-22 15:08:34 UTC
..
Comment 5 Mario Ivankovits 2003-03-20 19:36:17 UTC
german umlauts checked, and your way works good too.